# Graphene-Django

Welcome to the Graphene-Django docs.

Graphene-Django is built on top of Graphene. Graphene-Django provides some additional abstractions that make it easy to add GraphQL functionality to your Django project.

First time? We recommend you start with the installation guide to get set up and the basic tutorial. It is worth reading the core graphene docs to familiarize yourself with the basic utilities.

## Core tenets

If you want to expose your data through GraphQL - read the `Installation`, `Schema` and `Queries` section.

For more advanced use, check out the Relay tutorial.

- Installation
- Basic Tutorial
- Relay tutorial
- Schema
- Queries & ObjectTypes
- Fields
- Extra Types
- Mutations
- Subscriptions
- Filtering
- Authorization in Django
- Django Debug Middleware
- Introspection Schema
- Query Validation
- Testing API calls with django
- Settings